%global pypi_name python-ipmi
%global srcname ipmi

Name:           python-%{srcname}
Version:        0.5.4
Release:    1%{?dist}
Summary:        Pure python IPMI library

License:        LGPLv2+
URL:            https://github.com/kontron/python-ipmi
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%?python_enable_dependency_generator

BuildRequires: python3-devel
BuildRequires: python3dist(future)
BuildRequires: python3dist(markdown)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(mock)
BuildRequires: python3dist(nose)
BuildRequires: python3dist(coveralls)
BuildRequires: python3dist(flake8)
BuildRequires: pytest
BuildRequires: python3dist(coverage)


%description
Pure Python IPMI Library.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Pure Python IPMI Library.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} ';'

%build
%py3_build

%install
%py3_install 
rm -rf %{buildroot}%{python3_sitelib}/tests

%check
export PYTHONPATH=%{buildroot}/%{python3_sitelib}

%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/ipmitool.py
%{python3_sitelib}/pyipmi
%{python3_sitelib}/*-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.4-1
- initial build
